Changelog
=========
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

[0.13.0] - 2022-12-19
---------------------
### Added
- The GitHub Actions badge option has been added to the `readme-md init` config.

### Changed
- Change over to [ES Modules](https://gist.github.com/sindresorhus/a39789f98801d908bbc7ff3ecc99d99c) from CommonJS.
- The minimum required [Node.js](https://nodejs.org/) is now v16.
- Generated fenced code blocks for shell script (_e.g._, the Install and Testing sections) no longer have a dollar sign prefix.
- For packages which are MIT licensed the value "(Expat)" is no longer suffixed in the generated License section.
- Passing no license or an empty license will now output "_To be documented._" in the body of the License section.
- Project config now supports and prioritizes `.config/readme-md/config.yaml` files. The search order goes like so: `config.yaml` then `config.yml`.
- The filepath logic for has been changed to better accommodate Windows environments.
- The alt tags for badge images are now in title case where appropriate.

### Removed
- Removed support for Travis-CI badges.

[0.12.0] - 2019-02-28
---------------------
### Changed
- The minimum required [Node.js](https://nodejs.org/) version is now v8.

### Fixed
- Addressed an issue which in some cases caused the "binary" to be reported as `cli.js` instead of `readme-md` in `stderr` and `stdout` dialogs.
- Fixed the `readme-md init` command breaking when loading its config template.

[0.11.0] - 2018-05-19
---------------------
### Changed
- Refined the project documentation.
- Updated `readme-md` dependency to [v0.8.0](https://github.com/jbenner-radham/node-readme-md/tree/v0.8.0).
- If a description is specified in the `config.yml` override the `package.json` description value.

### Fixed
- Fixed breakage that occurred when used on projects that did not have a `repository.url` property defined in their `package.json`.

[0.10.0] - 2018-01-20
---------------------
### Added
- Added missing documentation for install, badge rendering, and license display.

### Changed
- Now renders all badges possible by default.

[0.9.0] - 2018-01-14
--------------------
### Added
- Added a `readme-md init` command to initialize a project with a default runtime config.

[0.8.1] - 2018-01-13
--------------------
### Fixed
- Addressed a potential license badge rendering bug.
- Updated the name of project level config from `readme-md.yml` to `config.yml` in the docs.
- Update Travis badge alt text to "build" to accurately describe the image.

[0.8.0] - 2017-12-31
--------------------
### Added
- [Node.js](https://nodejs.org/) version badge rendering.
- [Travis-CI](http://travis-ci.org/) badge rendering.

### Changed
- Required [Node.js](https://nodejs.org/) version is now v7.0.0.

[0.7.0] - 2017-12-26
--------------------
### Added
- Initial badge rendering.

[0.6.1] - 2017-12-26
--------------------
### Fixed
- Fixed some outdated text in the readme's "Usage" section.

[0.6.0] - 2017-12-23
--------------------
### Added
- Implemented `preferGlobal` handling.

### Changed
- Renamed the runtime config file from `.config/readme-md.yml` to `.config/readme-md/config.yml`.

[0.5.1] - 2017-12-17
--------------------
### Fixed
- Fixed missing `fs-extra` runtime error.

[0.5.0] - 2017-12-17
--------------------
### Added
- Added prioritized `.config/readme-md/sections/usage.md` inclusion.
- Documented the aforementioned "Usage" section inclusion.

[0.4.0] - 2017-12-10
--------------------
### Added
- Added [Yarn](https://yarnpkg.com/) support.

[0.3.0] - 2017-10-01
--------------------
### Added
- Added expanded documentation in the `doc/` directory.
- Implemented initial project level config via `.config/readme-md.yml` file.

[0.2.0] - 2017-10-01
--------------------
### Added
- Added automatic `example/cli/usage.md` inclusion.
- Added project level `.config/readme-md.json` parsing.
- Automatically linkifies the license file if `LICENSE`, `LICENSE.md`, or `LICENSE.txt` are present.

### Changed
- Refactor to allow [Node.js](https://nodejs.org/) `>=6.11` environments.

0.1.0 - 2017-07-21
------------------
### Added
- Initial release.

[Unreleased]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.13.0...HEAD
[0.13.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.12.0...v0.13.0
[0.12.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.11.0...v0.12.0
[0.11.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.10.0...v0.11.0
[0.10.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.9.0...v0.10.0
[0.9.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.8.1...v0.9.0
[0.8.1]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.8.0...v0.8.1
[0.8.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.7.0...v0.8.0
[0.7.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.6.1...v0.7.0
[0.6.1]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.6.0...v0.6.1
[0.6.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.5.1...v0.6.0
[0.5.1]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.5.0...v0.5.1
[0.5.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.4.0...v0.5.0
[0.4.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.3.0...v0.4.0
[0.3.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.2.0...v0.3.0
[0.2.0]: https://github.com/jbenner-radham/node-readme-md-cli/compare/v0.1.0...v0.2.0
